Mailinglist Archive: opensuse-factory (378 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170830 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170830

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
NetworkManager-openvpn
aaa_base (13.2+git20170731.c10ca77 -> 13.2+git20170814.cc9e34e)
amarok
analitza (17.04.3 -> 17.08.0)
arpwatch
audacity
babl (0.1.28 -> 0.1.30)
blinken (17.04.3 -> 17.08.0)
bovo (17.04.3 -> 17.08.0)
cervisia (17.04.3 -> 17.08.0)
cronie
dosbox
drbd-utils
e2fsprogs (1.43.4 -> 1.43.5)
ffmpeg
ffmpegthumbs (17.04.3 -> 17.08.0)
geany
gitg (3.24.0 -> 3.26.0)
gnome-shell
gnutls (3.5.13 -> 3.5.15)
grub2
gthumb (3.5.1 -> 3.5.2)
hostname
hplip
ifplugd
iproute2
java-1_8_0-openjdk
juk (17.04.3 -> 17.08.0)
kalarm (17.04.3 -> 17.08.0)
kalgebra (17.04.3 -> 17.08.0)
kalzium (17.04.3 -> 17.08.0)
kanagram (17.04.3 -> 17.08.0)
kapptemplate (17.04.3 -> 17.08.0)
katomic (17.04.3 -> 17.08.0)
kblackbox (17.04.3 -> 17.08.0)
kblocks (17.04.3 -> 17.08.0)
kbounce (17.04.3 -> 17.08.0)
kbreakout (17.04.3 -> 17.08.0)
kbruch (17.04.3 -> 17.08.0)
kcachegrind (17.04.3 -> 17.08.0)
kcron (17.04.3 -> 17.08.0)
kde-print-manager (17.04.3 -> 17.08.0)
kdeedu-data (17.04.3 -> 17.08.0)
kdegraphics-thumbnailers (17.04.3 -> 17.08.0)
kdesdk4-scripts (17.04.3 -> 17.08.0)
kdf (17.04.3 -> 17.08.0)
kdiamond (17.04.3 -> 17.08.0)
keditbookmarks (17.04.3 -> 17.08.0)
kernel-firmware
kernel-source (4.12.8 -> 4.12.9)
kfilereplace (17.04.3 -> 17.08.0)
kgeography (17.04.3 -> 17.08.0)
kgoldrunner (17.04.3 -> 17.08.0)
khangman (17.04.3 -> 17.08.0)
kig (17.04.3 -> 17.08.0)
kimagemapeditor (17.04.3 -> 17.08.0)
kiriki (17.04.3 -> 17.08.0)
kiten (17.04.3 -> 17.08.0)
kjumpingcube (17.04.3 -> 17.08.0)
klettres (17.04.3 -> 17.08.0)
klinkstatus (17.04.3 -> 17.08.0)
kmahjongg (17.04.3 -> 17.08.0)
kmines (17.04.3 -> 17.08.0)
kmouth (17.04.3 -> 17.08.0)
kmplot (17.04.3 -> 17.08.0)
knavalbattle (17.04.3 -> 17.08.0)
knetwalk (17.04.3 -> 17.08.0)
kolf (17.04.3 -> 17.08.0)
kollision (17.04.3 -> 17.08.0)
kolourpaint (17.04.3 -> 17.08.0)
konquest (17.04.3 -> 17.08.0)
konversation
kpat (17.04.3 -> 17.08.0)
kppp (17.04.3 -> 17.08.0)
kremotecontrol (17.04.3 -> 17.08.0)
kreversi (17.04.3 -> 17.08.0)
krita (3.2.0 -> 3.2.1)
kscd (17.04.3 -> 17.08.0)
kshisen (17.04.3 -> 17.08.0)
ksirk (17.04.3 -> 17.08.0)
kspaceduel (17.04.3 -> 17.08.0)
ksquares (17.04.3 -> 17.08.0)
ksudoku (17.04.3 -> 17.08.0)
ksystemlog (17.04.3 -> 17.08.0)
kteatime (17.04.3 -> 17.08.0)
ktimer (17.04.3 -> 17.08.0)
ktouch (17.04.3 -> 17.08.0)
ktuberling (17.04.3 -> 17.08.0)
kturtle (17.04.3 -> 17.08.0)
kubrick (17.04.3 -> 17.08.0)
kwin5
kwordquiz (17.04.3 -> 17.08.0)
lasem
libcamgm (1.0.8 -> 1.0.9)
libgcrypt (1.7.8 -> 1.8.0)
libgxps (0.2.5 -> 0.3.0)
libkdegames (17.04.3 -> 17.08.0)
libkeduvocdocument (17.04.3 -> 17.08.0)
libkmahjongg (17.04.3 -> 17.08.0)
libofa
libqt5-qtbase
libquicktime
libzypp (16.15.3 -> 16.15.6)
lokalize (17.04.3 -> 17.08.0)
lskat (17.04.3 -> 17.08.0)
lz4 (1.7.5 -> 1.8.0)
mbox-importer (17.04.3 -> 17.08.0)
mlocate
mono-core (5.0.1 -> 5.2.0)
mtd-utils (2.0.0 -> 2.0.1)
nano (2.8.6 -> 2.8.7)
neon (0.30.1 -> 0.30.2)
okteta (17.04.3 -> 17.08.0)
openmpi
parley (17.04.3 -> 17.08.0)
patterns-kde
perl-MailTools (2.18 -> 2.19)
perl-Net-DNS (1.11 -> 1.12)
perl-Net-SSLeay (1.69 -> 1.81)
pim-data-exporter (17.04.3 -> 17.08.0)
pim-sieve-editor (17.04.3 -> 17.08.0)
popt
portaudio
poxml (17.04.3 -> 17.08.0)
python
python-Pillow (4.1.0 -> 4.2.1)
python-base
qemu
qemu-linux-user
shotwell
sox
step (17.04.3 -> 17.08.0)
subversion
system-users
tracker (1.12.2 -> 1.12.3)
tracker-extras (1.12.2 -> 1.12.3)
transmission
uget (2.0.9 -> 2.0.10)
virt-manager
webkitgtk
wireshark (2.2.8 -> 2.4.0)
yast2-apparmor (3.3.0 -> 3.3.1)
yast2-theme (3.2.3 -> 3.3.0)
yast2-tune (3.2.0 -> 3.3.0)
zypper (1.13.31 -> 1.13.32)

=== Details ===

==== NetworkManager-openvpn ====
Subpackages: NetworkManager-openvpn-gnome

- modify add-support-for-IP-address-family-specifier-for-remote.patch:
modify this patch according to the commit pushed to upstream
master branch.
- add add-support-for-IP-address-family-specifier-for-remote.patch:
add support for IP address family specifier for remote protocol
(fate#322475, bgo#731620).

==== aaa_base ====
Version update (13.2+git20170731.c10ca77 -> 13.2+git20170814.cc9e34e)
Subpackages: aaa_base-extras

- Update to version 13.2+git20170814.cc9e34e:
* Unset id in csh.cshrc instead of profile.csh (bsc#1049577)
* Restore the is variable within /etc/profile

==== amarok ====
Subpackages: amarok-lang

- Add Fix-crash-during-musicbrainz-search.patch to fix a possible
crash when looking up metadata on MusicBrainz (kde#328359)

==== analitza ====
Version update (17.04.3 -> 17.08.0)
Subpackages: analitza-lang libAnalitza5

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* i18n fix: improve description of PNG
* i18n fixes
* Extend OperatorsModel means
* Make it possible to export 2D plots
* Make it possible to export 3D plots
* fix default value
* Improve properties exposed to qml
* Allow to change the variables instance from an analyzer
* Pass shared pointers around rather than raw pointers
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== arpwatch ====

- Remove initscript support. Fix the service initialization to\
either allow single full client or user has to symlink the instance
and make sure he can run only one of them. bsc#737527
- Make sure rcarpwatch is working
- Use install commands for installation of files
- Format with spec-cleaner
- Generate temp files using systemd

==== audacity ====
Subpackages: audacity-lang

- Restore conditionals for lame, mad and twolame.
- Remove conditionals for ffmpeg, lame, mad, twolame.

==== babl ====
Version update (0.1.28 -> 0.1.30)

- Update to version 0.1.30:
+ Thread stability for palette modes, stricter alpha
preservation, now cross-compilable on android.

==== blinken ====
Version update (17.04.3 -> 17.08.0)
Subpackages: blinken-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use override here
* Use Q_DECL_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== bovo ====
Version update (17.04.3 -> 17.08.0)
Subpackages: bovo-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== cervisia ====
Version update (17.04.3 -> 17.08.0)
Subpackages: cervisia-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* startup notify not needed
* change size policy avoiding endless stretching of combobox
* Fix desktop name in CMakeLists.txt in order to allow installing
* Organization Name should match reverse DNS of desktop file.
* open a file only on doubleclick (kde#365651)
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== cronie ====
Subpackages: cron

- Require group trusted if we use them

==== dosbox ====

- Fix desktop file category to sort below Game (boo#1055340)
- directly use desktop-file-install instead of the old macro

==== drbd-utils ====

- fate#323392, enable drbdmon which imported in 8.9.10

==== e2fsprogs ====
Version update (1.43.4 -> 1.43.5)
Subpackages: e2fsprogs-devel libcom_err-devel libcom_err2 libcom_err2-32bit
libext2fs-devel libext2fs2

- Update to 1.43.5
* fix e2fsck infinite loop when rebuilding encrypted directories
* fix tune2fs support for enabling /disabling project quota
* fixes in debugfs, dumpe2fs, e2fsck, tune2fs, and resize2fs for maliciously
corrupted filesystems
* fix e2fsck to verify invalid quota inode numbers
* fix byte-swapping of backup superblocks
* fix e2fsck -E bmap2extent to work for sparse files
* fix e2fsck to correctly handle quota accounting for multiply claimed blocks
* lots of other fixes

==== ffmpeg ====
Subpackages: libavcodec57 libavfilter6 libavformat57 libavresample3 libavutil55
libpostproc54 libswresample2 libswscale4

- Build unconditionally with lame and twolame

==== ffmpegthumbs ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== geany ====
Subpackages: geany-lang libgeany0

- Update description: say more about what geany does.

==== gitg ====
Version update (3.24.0 -> 3.26.0)
Subpackages: gitg-lang libgitg-1_0-0 libgitg-ext-1_0-0

- Update to version 3.26.0:
+ Misc fixes.
+ Updated translations.
- Update pkgconfig(libgit2-glib-1.0) BuildRequires and
BuildConflicts to versions 0.26.0 and 0.27.0.
- Drop post(un) handling of desktop_database_post(un) and
icon_theme_cache_post(un), no longer needed. Also drop obsolete
clean section.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.

==== gnome-shell ====
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar

- Update SLEClassicExt.js. Fix only half panel shown on bottom of
desktop when scaling-factor equals 2(Require patched
gnome-shell-extensions)(bsc#1046570).

==== gnutls ====
Version update (3.5.13 -> 3.5.15)
Subpackages: libgnutls-dane0 libgnutls-devel libgnutls30 libgnutls30-32bit

- GnuTLS 3.5.15:
* libgnutls: Disable hardware acceleration on aarch64/ilp32 mode
* certtool: Keys with provable RSA and DSA parameters are now
only exported in PKCS#8 form
- RPM group fix. Diversification of summaries.
- Avoid aims and future plans in description. Say what it does now.
- Drop the deprecated openssl compat ; discussed and suggested by
vcizek
- Cleanup a bit with spec-cleaner
- GnuTLS 3.5.14:
* Handle specially HSMs which request explicit authentication
* he GNUTLS_PKCS11_OBJ_FLAG_LOGIN will force a login on HSMs
* do not set leading zeros when copying integers on HSMs
* Fix issue discovering certain OCSP signers, and improved the
discovery of OCSP signer in the case where the Subject Public
Key identifier field matches
* ensure OCSP responses are saved with --save-ocsp even if
certificate verification fails.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix minor oversights in and the exit value of the grub2-install
helper on s390x. (bsc#1055343, fate#323298)
* grub2-s390x-09-improve-zipl-setup.patch

==== gthumb ====
Version update (3.5.1 -> 3.5.2)
Subpackages: gthumb-lang

- Update to version 3.5.2:
+ New features and user visible changes:
- Faster image loading.
- Fixed big memory leak and other minor memory leaks.
- Aspect ratio filtering.
- Video player works on wayland as well.
- Color profiles work on wayland as well (requires colord).
- Show the color profile description in the property view.
- Headerbar: show the tools menu button in viewer mode as well;
added a button to go to the catalogs root; added a button to
go to the home folder.
- Scripts: allow to specify a generic accelerator.
- Selections: save at exit and restore at start.
- Video player: added a loop button.
- Use Unicode in translatable strings (bgo#782038).
+ Bugs fixed:
- Slideshow: no need to specify autoaudiosink as audio-sink. It
is already the default audio sink (bgo#785612).
- SEGFAULT when a svg image could not be loaded (bgo#784886).
- Do not process bitmap thumbnails with invalid color settings
(bgo#778556).
- Fixed possible crash when switching from the image viewer to
another viewer.
+ Updated translations.
- Add pkgconfig(colord) BuildRequires: New optional dependency.
- Drop obsolete clean section.

==== hostname ====

- Add build require libnsl-devel in preparation of libnsl removal
from glibc.

==== hplip ====
Subpackages: hplip-hpijs hplip-sane

- Default to Qt5 on SLE 15 as well to avoid Qt4 with dependency on
openSSL 1.0

==== ifplugd ====

- do not generate documentation, use generated one [bsc#1052975]

==== iproute2 ====

- patch cleanup for SLE15 package:
* rename iproute2-dirs.diff
- > adjust-installation-directories-for-openSUSE-SLE.patch
* split iproute2-HZ.diff into
use-sysconf-_SC_CLK_TCK-if-HZ-undefined.patch and
add-explicit-typecast-to-avoid-gcc-warning.patch
* rename revert-pdf-creation.diff
- > doc-revert-PDF-creation.patch
* rename revert-bison-fix.diff
- > Revert-emp-fix-warning-on-deprecated-bison-directive.patch
* rename kernel_xfrm6_raw.patch
- > xfrm-support-displaying-transformations-used-for-Mob.patch
* refresh man-fix-documentation-references-in-manual-pages.patch
* rename iproute2-split-make.patch
- > split-link-and-compile-steps-for-binaries.patch
* rename iproute2-3.16.0-fix-bashisms.patch
- > examples-fix-bashisms-in-example-script.patch
- apply all patches in both specfiles to make sure everything is
built from fully patched sources
- move SLE11 workarounds to the end of the series

==== java-1_8_0-openjdk ====
Subpackages: java-1_8_0-openjdk-headless

- Added patch:
* java-1_8_0-openjdk-linuxfilestore.patch
- Fix bsc#1032647, bsc#1052009 with btrfs subvolumes and
overlayfs

==== juk ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kalarm ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kalarm-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Update changelog
* akonadimodel.cpp - replace non-existent "mail-message-unread" icon with
"mail-unread" icon that does exist in oxygen and breeze
* Fix icon problem on wayland
* Updated radio button text
* Activate by default QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
* don't use kpartgui
* desktop file was renamed
* remove obsolete option 'Use address from System Settings', no default email
setting in systemsettings anymore
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kalgebra ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kalgebra-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Include equivalent completion to the QtWidgets UI
* Make it possible to export 2D plots
* Add .arcconfig file
* Make it possible to export 3D plots from kalgebramobile
* Add some more actions
* Also allow to export logs from qml
* Adapt to changes in analitza
* Make it possible to load scripts from kalgebramobile
* Use the ConsoleModel from kalgebramobile
* Clean API
* Add todo
* Add some actions to the console for feature parity
* Move the ConsoleModel into a separate file
* ConsoleHtml to share logic with QML app
* Use the logo within the qrc, because it's there
* Don't keep harmattan stuff
* Remove the material L&F
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kalzium ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kalzium-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix build with ocaml 4.04 (kde#372671)
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kanagram ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kanagram-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kapptemplate ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kapptemplate-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== katomic ====
Version update (17.04.3 -> 17.08.0)
Subpackages: katomic-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kblackbox ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kblackbox-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kblocks ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kblocks-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix incorrect resize before game is started
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kbounce ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kbounce-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kbreakout ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kbreakout-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kbruch ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kbruch-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix wayland support
* Fix support for hdpi
* Use Q_DECLARE_OVERRIDE
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kcachegrind ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kcachegrind-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECL_OVERRIDE
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kcron ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kcron-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kde-print-manager ====
Version update (17.04.3 -> 17.08.0)

- Remove author list, replace time-sensitive description.
- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix license to match the source code license headers
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kdeedu-data ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kdegraphics-thumbnailers ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kdesdk4-scripts ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Release Simon from the correct branch
* Add translated docs to kio-gdrive
* package proper translations
* config for kirigami2
* cmakelint.pl - fix a regex
* Bump Krusader version
* Fix downloading docs for Krusader twice
* convert to modern method
* Update to modern method
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kdf ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kdf-lang kwikdisk

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix filesytem type detection on FreeBSD
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kdiamond ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kdiamond-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== keditbookmarks ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Update copyright + fix hdpi support
* Fix clazy warning
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kernel-firmware ====
Subpackages: ucode-amd

- Do not do any supplements or deduplication of files between kernel-binary and
kernel-firmware (bsc#1054239).
* remove firmware.sh

==== kernel-source ====
Version update (4.12.8 -> 4.12.9)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.12.9 (bnc#1012628 bsc#1052580 bnc#1049599).
- Delete
patches.drivers/ALSA-usb-audio-Apply-sample-rate-quirk-to-Sennheiser.
- Delete patches.fixes/debug-fix-WARN_ON_ONCE-for-modules.patch.
- Update config files.
- commit f2ab6ba
- ALSA: hda - Add stereo mic quirk for Lenovo G50-70 (17aa:3978)
(bsc#1020657).
- commit d300598
- Bluetooth: hidp: fix possible might sleep error in
hidp_session_thread (bnc#1014351).
- commit fa3a4f0
- ALSA: ice1712: Add support for STAudio ADCIII (bsc#1048934).
- commit 53a20a8
- ALSA: hda - Implement mic-mute LED mode enum (bsc#1055013).
- commit b870486

==== kfilereplace ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kgeography ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kgeography-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use override
* Use Q_DECLARE_OVERRIDE
* No need for a new function, just make the old one public
* Add location name in results table
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kgoldrunner ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== khangman ====
Version update (17.04.3 -> 17.08.0)
Subpackages: khangman-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix wayland support
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kig ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kig-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
* remove obsolete LSM file
* Changed class "LineCubicIntersection..." in the more consistent name
"CubicLineIntersectin...". Since this creates an incompatibility with kig
saved files, also a standard warning message is issued and the old name is
converted into the new one.
* Object LineCubicIntersection with wrong name in pykig.py
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kimagemapeditor ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kiriki ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kiriki-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use override
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kiten ====
Version update (17.04.3 -> 17.08.0)
Subpackages: fonts-KanjiStrokeOrders kiten-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* This include is not necessary and it breaks the window build
* Fix wayland support
* Use Q_DECLARE_OVERRIDE
* remove obsolete LSM file
* Port kde4_add_app_icon to ecm_add_app_icon
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kjumpingcube ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kjumpingcube-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Q_DECL_OVERRIDE -> override.
* Use C++11 ranged based for.
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== klettres ====
Version update (17.04.3 -> 17.08.0)
Subpackages: klettres-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Add wayland support
* Use Q_DECLARE_OVERRIDE
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== klinkstatus ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kmahjongg ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix undo tile selection
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kmines ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix SPDX license ID
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kmouth ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kmplot ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kmplot-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== knavalbattle ====
Version update (17.04.3 -> 17.08.0)
Subpackages: knavalbattle-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
* Add appdata file for Naval Battle in kf5 based master
* Porting error: handle the positional argument as such
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== knetwalk ====
Version update (17.04.3 -> 17.08.0)
Subpackages: knetwalk-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kolf ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Add appdata file for Kolf in master branch + use reverse dns naming scheme
for the deskop file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kollision ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kollision-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kolourpaint ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kolourpaint-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* explicitely set window icon (kde#382353)
* explicitely set window icon (kde#382353)
* Use Q_DECL_OVERRIDE
* Adjust license to follow the rest of the headers
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== konquest ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== konversation ====
Subpackages: konversation-lang

- Add patch to fix prefix handling for channel types (kde#383801):
* fix-prefix-addressed-message-handling.patch

==== kpat ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Add braces around commented out if-code
* USe Q_DECL_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kppp ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Minor Qt3Support port patch
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kremotecontrol ====
Version update (17.04.3 -> 17.08.0)
Subpackages: liblibkremotecontrol1

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kreversi ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== krita ====
Version update (3.2.0 -> 3.2.1)
Subpackages: krita-lang

- Update to version 3.2.1:
* Crash on startup if only OpenGL 2.1 is found: if you had to
disable opengl for 3.2.0, you can try to enable it again
* A crash when changing layer types in the gmic-qt plugin
* A bug where gmic-qt could crash on odd-sized images
* A regression where using the text tool would break the brush tool
* The option to use the native platform?s file dialogs was restored
* A bug where selecting the line tool would disable the flow slider
* Some issues with the LUT docker were fixed
- Remove no longer used libcurl-devel build requirement

==== kscd ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kshisen ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kshisen-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== ksirk ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Group old packaging scripts and cleanup an obsolete file
* Add appdata file for KSirk in master branch + use reverse dns naming scheme
for both deskop files
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kspaceduel ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== ksquares ====
Version update (17.04.3 -> 17.08.0)
Subpackages: ksquares-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix wayland support
* USe Q_DECL_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== ksudoku ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php
- Drop 0001-Revert-Fix-.desktop-Qt5-apps-accept-qwindowtitle-not.patch
(no longer necessary)

==== ksystemlog ====
Version update (17.04.3 -> 17.08.0)
Subpackages: ksystemlog-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kteatime ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kteatime-lang

- Don't replace the desktop file categories, this causes the entry
to show up in "Lost & Found" in Plasma5
- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== ktimer ====
Version update (17.04.3 -> 17.08.0)
Subpackages: ktimer-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== ktouch ====
Version update (17.04.3 -> 17.08.0)
Subpackages: ktouch-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Install QML Files As Qt Resource
* Reorganize QML Files
* remove obsolete LSM file
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== ktuberling ====
Version update (17.04.3 -> 17.08.0)
Subpackages: ktuberling-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use override
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kturtle ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kturtle-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix warning
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kubrick ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== kwin5 ====
Subpackages: kwin5-devel

- Require kdialog

==== kwordquiz ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kwordquiz-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix wayland support
* Use Q_DECLARE_OVERRIDE
* Port kde4_add_app_icon to ecm_add_app_icon
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== lasem ====

- Fix RPM group and summaries.
- Add lasem-cairo-avoid-integer-overflow.patch cairo: Avoid integer
overflow (CVE-2013-7447).

==== libcamgm ====
Version update (1.0.8 -> 1.0.9)
Subpackages: libcamgm100 perl-camgm

- version 1.0.9
- removed patches included upstream:
* libcamgm-openssl-1.1-compatibility.patch
* libcamgm-gcc7.patch
- openssl 1.1 compatibility code (bsc#1042655)
* add libcamgm-openssl-1.1-compatibility.patch

==== libgcrypt ====
Version update (1.7.8 -> 1.8.0)
Subpackages: libgcrypt-devel libgcrypt20 libgcrypt20-32bit

- RPM group fixes.
- libgcrypt 1.8.0:
* New cipher mode XTS
* New hash function Blake-2
* New function gcry_mpi_point_copy.
* New function gcry_get_config.
* GCRYCTL_REINIT_SYSCALL_CLAMP allows to init nPth after Libgcrypt.
* New gobal configuration file /etc/gcrypt/random.conf.
* GCRYCTL_PRINT_CONFIG does now also print build information for
libgpg-error and the used compiler version.
* GCRY_CIPHER_MODE_CFB8 is now supported.
* A jitter based entropy collector is now used in addition to the
other entropy collectors.
* Optimized gcry_md_hash_buffers for SHA-256 and SHA-512.
random pool lock).
* Interface changes relative to the 1.7.0 release:
gcry_get_config NEW function.
gcry_mpi_point_copy NEW function.
GCRYCTL_REINIT_SYSCALL_CLAMP NEW macro.
GCRY_MD_BLAKE2B_512 NEW constant.
GCRY_MD_BLAKE2B_384 NEW constant.
GCRY_MD_BLAKE2B_256 NEW constant.
GCRY_MD_BLAKE2B_160 NEW constant.
GCRY_MD_BLAKE2S_256 NEW constant.
GCRY_MD_BLAKE2S_224 NEW constant.
GCRY_MD_BLAKE2S_160 NEW constant.
GCRY_MD_BLAKE2S_128 NEW constant.
GCRY_CIPHER_MODE_XTS NEW constant.
gcry_md_info DEPRECATED.
- Refresh patch libgcrypt-1.6.3-aliasing.patch

==== libgxps ====
Version update (0.2.5 -> 0.3.0)

- Update to version 0.3.0:
+ New features:
- Add initial support for resource dictionaries (bgo#777731).
- Support OpenXPS fixed representation schema (bgo#768117).
+ Bug fixes: Fix a crash when extracting a malformed file
(bgo#785479).
+ Build: Switch to meson build system (bgo#783642).
- Add meson BuildRequires and switch autotools macros configure,
make and makeinstall to meson, meson_build and meson_install
following upstream switch to Meson build system.
- Add gtk-doc BuildRequires, needed to build documentation, also
build manpages.
- Add libgxps-rpmlintrc: Filter out bogus rpmlint warning about
libgxps-tools not containing any libs.
- Run spec-cleaner, modernize spec.

==== libkdegames ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kdegames-carddecks-default libkdegames-devel libkf5kdegames6

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Remove the last references to kDebug (even if commented)
* Revert "Fix export of inherited inline functions"
* Fix export of inherited inline functions
* Add include of qt_windows.h on Windows
* Use Q_DECL_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== libkeduvocdocument ====
Version update (17.04.3 -> 17.08.0)
Subpackages: libKEduVocDocument5 libkeduvocdocument-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECL_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== libkmahjongg ====
Version update (17.04.3 -> 17.08.0)
Subpackages: libKF5KMahjongglib5 libkmahjongg-devel

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== libofa ====

- RPM group fix.

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent-devel libQt5Concurrent5 libQt5Core-devel
libQt5Core-private-headers-devel libQt5Core5 libQt5DBus-devel libQt5DBus5
libQt5Gui-devel libQt5Gui-private-headers-devel libQt5Gui5 libQt5Network-devel
libQt5Network5 libQt5OpenGL-devel libQt5OpenGL5 libQt5PlatformHeaders-devel
libQt5PrintSupport-devel libQt5PrintSupport5 libQt5Sql-devel libQt5Sql5
libQt5Sql5-mysql libQt5Sql5-postgresql libQt5Sql5-sqlite libQt5Sql5-unixODBC
libQt5Test-devel libQt5Test5 libQt5Widgets-devel libQt5Widgets5 libQt5Xml-devel
libQt5Xml5 libqt5-qtbase-common-devel libqt5-qtbase-devel
libqt5-qtbase-platformtheme-gtk3

- Backport patch from dev to 5.9 what implements a new QSslSocket
backend based on OpenSSL 1.1. (bsc#1042658)
* 0001-QSslSocket-OpenSSL-1.1-backend.patch

==== libquicktime ====

- Enable lame unconditionally
- Remove ffmpeg conditional because it is always present

==== libzypp ====
Version update (16.15.3 -> 16.15.6)

- Add testcase to compile (bsc#1055920)
- version 16.15.6 (0)
- Adapt to work with GnuPG 2.1.23 (bsc#1054088)
- version 16.15.5 (0)
- verifyFileSignature: Support signing with subkeys (bsc#1008325)
- PublicKey: Scan and provide subkey information.
- Enhance sort order for media.1/products (bsc#1054671)
- Drop detection and support for rpm-4.4 (fixes #77)
- version 16.15.4 (0)

==== lokalize ====
Version update (17.04.3 -> 17.08.0)
Subpackages: lokalize-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Port to ecm_add_app_icon and remove few old includes
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== lskat ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== lz4 ====
Version update (1.7.5 -> 1.8.0)
Subpackages: liblz4-1 liblz4-1-32bit liblz4-devel

- Update to new upstream release 1.8.0
* cli: fix: do not modify /dev/null's permissions.
* cli: added POSIX separator "--" for specifying that all
following arguments are non-options.
* cli: restored -BX command enabling block checksum.
* API: added LZ4_compress_HC_destSize() and
LZ4F_resetDecompressionContext().
* API: lz4frame: negative compression levels trigger fast
acceleration.
* API: lz4frame: ability to control block checksum and
dictionary ID.
* API: fix: expose obsolete decoding functions
* API: experimental: lz4frame_static.h:
new dictionary compression API
* doc: Updated LZ4 Frame format to v1.6.0, restoring
Dictionary ID field in header.
- Add lz-export.diff

==== mbox-importer ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Add desktop file name
* don't use deprecated methpd
* Minor
* Activate by default QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== mlocate ====
Subpackages: mlocate-lang

- Require user nobody wrt bsc#1055634

==== mono-core ====
Version update (5.0.1 -> 5.2.0)
Subpackages: libmono-2_0-1 libmono-2_0-devel libmonosgen-2_0-1
libmonosgen-2_0-devel mono-data mono-data-sqlite mono-extras mono-mvc mono-wcf
mono-web mono-winforms mono-winfxcore

- Update to version 5.2.0.215 (5.2.0 Stable)
- New features and changes:
* Strong assembly names: mono will now optionally respect public keys and
version numbers when loading strongly signed assemblies
* Added experimental default interface methods support
* System.Numerics.Vectors: the library is now considered ready for general
usage
* .NET Standard 2.0 support: loading and running a library compiled against
the 2.0 standard should work fine now
* The reference assemblies were updated to provide the .NET 4.7 API set
* The mono command now runs as a 64bit application by default. You can use
the --arch=32 option to run Mono as 32bit again
* Optimized Array Stores
* Class Initialization Improvements
* GC: reduced minor collection pause times
* Interpreter now passes the majority of the JIT test suite, it can now run
non-trivial programs
- Added upstream patch provides-facades.patch:
* Search provides (for RPM-packaging) not only for GAC dir, but also for
"Facades" and "4.5" mono-libdirs
- Added upstream patch
0001-btls-Disable-BUILD_SHARED_LIBS-while-building-boring.patch:
* Disable BUILD_SHARED_LIBS while building boringssl, so its symbols are not
exported from the btls shared lib
- Added upstream patch fix-project-builds-linux.patch:
* Fix finding nuget packages in lower-case dirs on case-sensitive filesystems
- Added patch fix-dbg-headers.patch:
* Add missing internal headers to distribution in order to fix build for
mono-debugger package
- Bugfixes:
* bxc#580 - Type.Load loads strong type despite version mismatch
* bxc#39444 - Action ReflectedType differs from Delegate ReflectedType for
virutal methods
* bxc#43805 - Output of DateTime.Now() differs on Mono for ambiguous time
period
* bxc#43988 - Stack overflow in System.Text.Encoding.Default
* bxc#46661 - Runtime exception filters truncate exception stack traces on
NSLog
* bxc#46929 - Datetime error on Mono.data.Sqlite
* bxc#47221 - Thread.Name can only be set once inside async callback
* bxc#47599 - HttpClient Transfer-Encoding:chunked is not added to the header
- not able to transfer large files
* bxc#49721 - Assembly binder uses wrong strongly named assembly when same
assembly with different version exists in local folder
* bxc#50529 - crash in thread-native-exit.exe
* bxc#51522 - Overload resolution fails for referenced assembly
* bxc#51561 - Getting process name of process running under higher privilege
user throws exception
* bxc#51653 - mono_thread_info_wait_one_handle ignored alertable argument
* bxc#52086 - Nullable structs with implicit operators generate invalid IL
code when compiling with Mono
* bxc#52294 - C# compiler reports an incorrect error in a lambda with generic
constraints
* bxc#52340 - Compiler crashes with FATAL UNHANDLED EXCEPTION (nullref)
* bxc#52345 - Process has exited, so the requested information is not
available
* bxc#52429 - Shutdown hang then crash in Finalizer thread
* bxc#52437 - Random NullReferenceExceptions in StringBuilder.ThreadSafeCopy
* bxc#52448 - StreamContent apparently needs to rewind stream before sending
it
* bxc#52475 - MTOUCH: error MT3001: Could not AOT the assembly
* bxc#52511 - configure script doen?t detect bad configuration
* bxc#52549 - error: mono_w32socket_convert_error: no translation into
winsock error for (41) "Protocol wrong type for socket"
* bxc#52590 - Cannot compile for iOS, TypeBuilder exists in two places.
* bxc#52599 - await in finally clause prevents disposal of enclosing using
statement
* bxc#52600 - Full AOT: Strange combination of structs, generics, and enums
causes runtime failure
* bxc#52743 - denied loading problems
* bxc#52845 - [Cycle 9] Satellite assemblies not bundled when using "Bundle
assemblies into native code" due to "unknown escape sequence" error from gcc
during mkbundle step
* bxc#52866 - F# sprintf AOT bug still exists
* bxc#52899 - mprof-report missing filenames in coverage xml output when
using portable pdbs
* bxc#53066 - Can?t Build Project in Debug with "Could not AOT the assembly"
* bxc#53131 - Calling MakeArray() on a type with a rank that is too big does
not throw an exception.
* bxc#53153 - Implement RuntimeHelpers::IsReferenceOrContainsReferences
* bxc#53166 - Application crashes when setting a get-only property in
constructor
* bxc#53196 - List<>.Sort() using insertion sort does not sort all values
when equality isn?t checked.
* bxc#53202 - Number minus Enum gives wrong value
* bxc#53231 - csc doesn?t unify same file passed multiple times when one path
is relative
* bxc#53278 - Two coreclr SIMD test failures (one regression from 4.8)
* bxc#53334 - es-US Culture wrong number formatting
* bxc#53684 - Crash when enumerating directory and selecting the first file
* bxc#53689 - [Test] Certificate7 disabled due to
SecCertificateCreateWithData does different things on 10.11 vs 10.12 with
invalid certificates
* bxc#53792 - CFNetworkHandler reports correct download when internet
connection is lost during request
* bxc#53843 - Mono deadlocks on shutdown while waiting for a process which
has died
* bxc#53890 - Regression: Native crash while running tests with xunit with
mono 2017-02 branch, works with 4.8.0.520
* bxc#54212 - Mono allows casts of non-zero bound array to zero bound array
* bxc#54322 - await in catch-block inside a loop causes the same exception to
be caught multiple times
* bxc#54448 - Unable to revert to thread-local storage for
CurrentThread.CultureInfo
* bxc#54485 - Creating an open generic type with recurrent constraint fails
* bxc#54991 - Cannot compile get => _text
* bxc#55041 - Stripping mscorlib in simple example changes IntPtr (5)
behavior?
* bxc#55083 - coreclr test b353858.il fails after
6f33b62f39a273fccb78f71513cb5e0dfb987c70
* bxc#55436 - System.Runtime refuses to load with strict naming
* bxc#55577 - SIMD instructions with System.Numerics.Vectors do not work
* bxc#55603 - Follow-up to bug 52845: Satellite assemblies not loaded by app
when using "Bundle assemblies into native code" even though they are now
successfully mkbundled
* bxc#55681 - System.Reflection.Emit.ModuleBuilder.build_metadata bug when
running FAKE?s test suite
* bxc#56081 - Returning a valuetype from an async method with an awaited
parameter yields a Mono.CSharp.InternalErrorException: Await yields with
non-empty stack
* bxc#56240 - Performance Degradation When Using Expressions
* bxc#56247 - Enumerable.OrderByDescending behaves differently on LLVM FullAOT
* bxc#56275 - Unable to copy appname.dll from obj to bin because it is being
used by another process
* bxc#56493 - Windows MMAP doesn?t release file
* bxc#56567 - Passing large struct into exception filter method crashes
runtime with SIGSEGV
* bxc#56611 - Regression: ArrayTypeMismatchException when running F# script
* bxc#56694 - Assertion: should not be reached at
d:\j\workspace\v\repos\mono\mono\sgen\sgen-scan-object.h:91
* bxc#56821 - Static ctor of MarshalByRefObject runs in primary AppDomain
* bxc#56824 - Runtime crash with VSMEF
* bxc#57222 - System.Reflection.AmbiguousMatchException for two fields with
same name but different types
* bxc#57744 - ReflectionTypeLoadException.LoaderExceptions has null exceptions

==== mtd-utils ====
Version update (2.0.0 -> 2.0.1)

- Update to version 2.0.1:
* nandbiterrs: Add Erased Pages Bit Flip Test
* mkfs.ubifs: Add support for symlinks in device table
* nanddump: Add --skip-bad-blocks-to-start option
* nandwrite: Add --skip-bad-blocks-to-start option
* several fixes and internal cleanups

==== nano ====
Version update (2.8.6 -> 2.8.7)
Subpackages: nano-lang

- Update to version 2.8.7:
* fixes a lockup when tabs are wider than the screen
* makes indenting + unindenting more predictable by retaining
relative indentations
* allows pasting (^U) at a prompt
* allows triple quotes
* fixes some hard-to-describe issues with softwrapping and
boundary-crossing tabs.

==== neon ====
Version update (0.30.1 -> 0.30.2)

- Update to 0.30.2
Add support for OpenSSL 1.1.x (Kurt Roeckx).
Fix PKCS#11 support under GnuTLS 3.x.
PKCS#11 API no longer supported with GnuTLS 2.x
- cleaned the .spec

==== okteta ====
Version update (17.04.3 -> 17.08.0)
Subpackages: okteta-devel okteta-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use edit-delete-shred icon for "delete view profile" action
* Use document-close icon for document close actions
* Don't abuse #pragma message for TODOs which are not critical
* Remove unneeded wrapper widget in structures settings dialog
* Bump version to 0.22.90
* Add missing added/closing signal forwarding in document strategies
* Use function-adress slot connect in SingleDocumentStrategy
* Remove extra compile options, stick to what KDECompilerSettings sets
* Bump version to 0.22.80
* Use KCrash
* Bump version to 0.22.60
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== openmpi ====
Subpackages: openmpi-config openmpi-devel openmpi-libs

- Enable ucx only on supported platforms

==== parley ====
Version update (17.04.3 -> 17.08.0)
Subpackages: parley-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Fix invisible color text in statistics legend
* Use Q_DECLARE_OVERRIDE
* Albert says: bunch of files i forgot to git add, sorry ^_^
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== patterns-kde ====
Subpackages: patterns-kde-devel_kde patterns-kde-devel_kde_frameworks
patterns-kde-devel_qt5 patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging
patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office
patterns-kde-kde_plasma patterns-kde-kde_utilities
patterns-kde-kde_utilities_opt patterns-kde-kde_yast

- Drop the kde_telepathy pattern

==== perl-MailTools ====
Version update (2.18 -> 2.19)

- updated to 2.19
see /usr/share/doc/packages/perl-MailTools/ChangeLog
- updated to 2.19
see /usr/share/doc/packages/perl-MailTools/ChangeLog
version 2.19: Tue 22 Aug 13:30:41 CEST 2017
Improvements:
- block namespace MailTools rt.cpan.org#120905 [Karen Etheridge]

==== perl-Net-DNS ====
Version update (1.11 -> 1.12)

- updated to 1.12
see /usr/share/doc/packages/perl-Net-DNS/Changes

==== perl-Net-SSLeay ====
Version update (1.69 -> 1.81)

- Fix license as requested by licensedigger in
https://build.opensuse.org/request/show/501145
- update to the latest upstream version 1.81
* introduces compatibility with openssl 1.1.x
- drop net-ssleay-no-ofb.patch (not needed anymore)

==== pim-data-exporter ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== pim-sieve-editor ====
Version update (17.04.3 -> 17.08.0)

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== popt ====
Subpackages: libpopt0 libpopt0-32bit popt-devel

- Remove --with-pic which is only for static libs.
- Fix RPM groups.

==== portaudio ====

- Add pkg-config and add alsa to dependencies of devel pkg

==== poxml ====
Version update (17.04.3 -> 17.08.0)
Subpackages: kde-l10n-devel poxml-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* None
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== python ====
Subpackages: python-curses python-gdbm

- Add libnsl-devel build requires for glibc obsoleting libnsl

==== python-Pillow ====
Version update (4.1.0 -> 4.2.1)

- fix conditional build with tk (bsc#1054719)
- update to 4.2.1:
- CI: Fix version specification and test on CI for PyPy/Windows #2608
- Doc: Clarified Image.save:append_images documentation #2604
- CI: Amazon Linux and Centos6 docker images added to TravisCI #2585
- Image.alpha_composite added #2595
- Complex Text Support #2576
- Added threshold parameter to ImageDraw.floodfill #2599
- Added dBATCH parameter to ghostscript command #2588
- JPEG: Adjust buffer size when icc_profile > MAXBLOCK #2596
- Specify Pillow Version in one place #2517
- CI: Change the owner of the TRAVIS_BUILD_DIR, fixing broken docker runs
#2587
- Fix truncated PNG loading for some images, Fix memory leak on truncated PNG
images. #2541, #2598
- Add decompression bomb check to Image.crop #2410
- ImageFile: Ensure that the `err_code` variable is initialized in case of
exception. #2363
- Tiff: Support append_images for saving multipage TIFFs #2406
- Doc: Clarify that draft is only implemented for JPEG and PCD #2409
- Test: MicImagePlugin #2447
- Use round() instead of floor() to eliminate zero coefficients in resample
#2558
- Remove deprecated code #2549
- Added append_images to PDF saving #2526
- Remove unused function core image function new_array #2548
- Remove unnecessary calls to dict.keys() #2551
- Add more ImageDraw.py tests and remove unused Draw.c code #2533
- Test: More tests for ImageMorph #2554
- Test: McIDAS area file #2552
- Update Feature Detection #2520
- CI: Update pypy on TravisCI #2573
- ImageMorph: Fix wrong expected size of MRLs read from disk #2561
- Docs: Update install docs for FreeBSD #2546
- Build: Ignore OpenJpeg 1.5 on FreeBSD #2544
- Remove 'not yet implemented' methods from PIL 1.1.4 #2538
- Dependencies: Update FreeType to 2.8, LibTIFF to 4.0.8 and libimagequant to
2.9.1 #2535 #2537 #2540
- Raise TypeError and not also UnboundLocalError in ImageFile.Parser() #2525
- Test: Use Codecov for coverage #2528
- Use PNG for Image.show() #2527
- Remove WITH_DEBUG compilation flag #2522
- Fix return value on parameter parse error in _webp.c #2521
- Set executable flag on scripts with shebang line #2295
- Flake8 #2460
- Doc: Release Process Changes #2516
- CI: Added region for s3 deployment on appveyor #2515
- Doc: Updated references to point to existing files #2507
- Return copy on Image crop if crop dimensions match the image #2471
- Test: Optimize CI speed #2464, #2466
- Undef PySlice_GetIndicesEx, see https://bugs.python.org/issue29943 #2493
- Fix for file with DPI in EXIF but not metadata, and XResolution is an int
rather than tuple #2484
- Docs: Removed broken download counter badge #2487
- Docs: Fixed rst syntax error #2477

==== python-base ====
Subpackages: libpython2_7-1_0 libpython2_7-1_0-32bit python-devel python-xml

- Add libnsl-devel build requires for glibc obsoleting libnsl

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-rbd qemu-block-ssh qemu-extra qemu-ipxe qemu-ksm
qemu-kvm qemu-lang qemu-ppc qemu-s390 qemu-seabios qemu-sgabios qemu-tools
qemu-vgabios qemu-x86

- Fix package build failure as of glibc v2.26 update in Factory
(boo#1055587)
0075-Replace-struct-ucontext-with-uconte.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
- Remove redundant prerequire for pwdutils

==== qemu-linux-user ====

- Fix package build failure as of glibc v2.26 update in Factory
(boo#1055587)
0075-Replace-struct-ucontext-with-uconte.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Patches added:
0073-xen-mapcache-store-dma-information-.patch
0074-exec-Add-lock-parameter-to-qemu_ram.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Patches added:
0069-qemu-nbd-Ignore-SIGPIPE.patch
0070-usb-redir-fix-stack-overflow-in-usb.patch
0071-exec-use-qemu_ram_ptr_length-to-acc.patch
0072-slirp-check-len-against-dhcp-option.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Patches added:
0067-xhci-only-update-dequeue-ptr-on-com.patch
0068-vnc-Set-default-kbd-delay-to-10ms.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.9
* Patches added:
0065-hid-Reset-kbd-modifiers-on-reset.patch
0066-input-Decrement-queue-count-on-kbd-.patch

==== shotwell ====
Subpackages: shotwell-lang

- Drop pkgconfig(unique-3.0) BuildRequires: No longer needed.
- Add appstream-glib BuildRequires, support AppData.

==== sox ====
Subpackages: libsox3

- Enable lame/mad/twolame unconditionally
- Remove ffmpeg/opus conditional because it is always present

==== step ====
Version update (17.04.3 -> 17.08.0)
Subpackages: step-lang

- Update to KDE Applications 17.08.0
* New feature release
* https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
* Use KDE_INSTALL_KXMLGUI5DIR to install stepui.rc
* Replace %i by -qwindowicon for wayland support
* Use Q_DECLARE_OVERRIDE
- Update to KDE Applications 17.07.90
* KDE Applications 17.07.90
* https://www.kde.org/announcements/announce-applications-17.07.90.php

==== subversion ====
Subpackages: libsvn_auth_gnome_keyring-1-0 libsvn_auth_kwallet-1-0
subversion-bash-completion subversion-devel subversion-perl subversion-python
subversion-server subversion-tools

- Switch the KDE condition to match sle15 too

==== system-users ====
Subpackages: system-group-hardware system-group-wheel system-user-bin
system-user-daemon system-user-games system-user-lp system-user-mail
system-user-man system-user-news system-user-nobody system-user-upsd
system-user-uucp system-user-wwwrun

- user nobody: move usermod to %post, else it will be executed
before the user is created.

==== tracker ====
Version update (1.12.2 -> 1.12.3)
Subpackages: libtracker-common-1_0 libtracker-control-1_0-0
libtracker-miner-1_0-0 libtracker-sparql-1_0-0 tracker-miner-files
typelib-1_0-Tracker-1_0 typelib-1_0-TrackerControl-1_0

- Update to version 1.12.3:
+ Mandate that SQLite >= 3.20.0 must have --enable-fts5. SQLite
devs made forwards and backwards incompatible changes to the
FTS5 module, it is not sustainable anymore to ship a FTS5
module for all combinations. The current FTS5 module in Tracker
is preserved for older SQLite versions.
+ Fix typo in userguides miner DBus name, fixes spam on journald
trying to start it up.

==== tracker-extras ====
Version update (1.12.2 -> 1.12.3)
Subpackages: nautilus-extension-tracker-tags tracker-gui

- Update to version 1.12.3:
+ Mandate that SQLite >= 3.20.0 must have --enable-fts5. SQLite
devs made forwards and backwards incompatible changes to the
FTS5 module, it is not sustainable anymore to ship a FTS5
module for all combinations. The current FTS5 module in Tracker
is preserved for older SQLite versions.
+ Fix typo in userguides miner DBus name, fixes spam on journald
trying to start it up.

==== transmission ====
Subpackages: transmission-common transmission-gtk

- Backport support for OpenSSL 1.1
+ Added patches:
0001-transmission-build-against-openssl-1.1.0.patch.
0002-Fix-coding-style-and-building-with-TR_LIGHTWEIGHT.patch.

==== uget ====
Version update (2.0.9 -> 2.0.10)
Subpackages: uget-lang

- Update to version 2.0.10:
+ User can use sorting in any category and status.
+ curl plug-in: It can use ftruncate() to create large file.
+ Fix: uGet doesn't close File Descriptor when saving config
file.
+ Fix: category functions can't work correctly.
+ Updated translations.

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- bsc#1055787 - virt-install: With PV ISO installs guests will hang
on first reboot
virtinst-keep-install-iso-attached.patch
- bsc#1054986 - Missing /media.1/products file on the ISO media
causes virt-install to fail detecting distro type and version
virtinst-add-sle15-detection-support.patch
- Upstream bug fixes (bsc#1027942)
e902fa55-force-binary-mode-with-FTP-servers.patch

==== webkitgtk ====
Subpackages: libjavascriptcoregtk-1_0-0 libwebkitgtk-1_0-0 libwebkitgtk2-lang

- Fix a patch tag (FIx vs FIX).

==== wireshark ====
Version update (2.2.8 -> 2.4.0)
Subpackages: wireshark-ui-qt

- Trim filler wording from description.
- Gcrypt is now default
- gtk switch was redone to accept value at the end instead of 2
options
- Wireshark 2.4.0:
* SS7 Point Codes can now be resolved into names with a hosts-
like file.
* Wireshark can now go fullscreen to have more room for packets
* TShark can now export objects like the other GUI interfaces.
* Support for G.722 and G.726 codecs in the RTP Player (via the
SpanDSP library)
* You can now choose the output device when playing RTP streams
* Added support for dissectors to include a unit name natively
in their hf field. A field can now automatically append
"seconds" or "ms" to its value without additional printf-style
APIs
* The Default profile can now be reset to default values.
* You can move back and forth in the selection history in the
Qt UI.
* IEEE 802.15.4 dissector now uses an UAT for decryption keys.
The original decryption key preference has been obsoleted.
* Extcap utilities can now provide configuration for a GUI
interface toolbar to control the extcap utility while capturing.
* Extcap utilities can now validate the capture filter.
* Display filter function len() can now be used on all string and
byte fields.
* Added an experimental timeline view for 802.11 wireless packet
data which can be enabled via the "802.11 radio information
preferences.
* Added TLS 1.3 (draft 21) dissection and decryption support
* The (D)TLS Application Layer protocol (e.g. HTTP or CoAP) can
now be changed via the Decode As dialog.
* The RSA keys dialog for SSL keys has improved feedback for
invalid settings and no longer requires the IP address, Port or
Protocol fields to be set in addition to the Key File.
* TCP Analysis will detect and flag more spurious retransmissions.
* Many new and updated protocol support
* New and updated Capture File Support:
ERF, IxVeriWave, Libpcap, and Pcap-ng
* API changes: IEEE802.11: wlan_mgt display filter element got
renamed to wlan.

==== yast2-apparmor ====
Version update (3.3.0 -> 3.3.1)

- Use the JSON interface of apparmor to show dialogs (FATE#323380)
- Added log profiling
- Added generating a profile
- Removed old perl interface code
- 3.3.1
- fix 'Toggle Mode' bug for non-English locale (bsc#1043546)
- fix name of apparmor systemd service (bsc#1046750)
- 3.2.1
- bnc#1026027
- removed package dependency on insserv
- 3.2.0
- Use Yast::Service to enable/disable service
- Remove (unused) notify settings
- Reload profiles by calling apparmor_parser directly.
- remove X-KDE-Library from desktop file (bnc#899104)
- add translation for apparmor modes (bnc#878587)
- improvements of rpm spec file
- 3.1.2
- fix help text to match reality (bnc#876904)
- 3.1.1
- do not use *.spec.in template, use *.spec file with RPM macros
instead
- 3.1.0
- fix broken dialog in edit profiles
- drop reporting and profile generation tools (FATE#308684,308683)
- 3.0.1
- converted from YCP to Ruby by YCP Killer
(https://github.com/yast/ycp-killer)
- version 3.0.0
- clean up include files - added missing imports, added missing
top level {} blocks (Y2R compatibility)
- 2.24.0
- don't create /var/log/apparmor/*/ in %post (no longer needed)
- confirmed license GPL v2
- 2.22.3
- fixed text labels (bnc#755539)
- 2.22.2
- add Requires: for several perl modules
- 2.22.1
- merged texts from proofreading
- 2.22.0
- fixed enabling/disabling apparmor
- fixed setting notifications (and enabling aaeventsd as part of
global switch only)
- prevent profile generator from failing immediately
- prevent window from disappearing when starting a module
- don't close the module after running a report (bnc#531512)
- run the dialog to select application for profiling without
pop-up (bnc#531512)
- disabled Reports part due to changes in AppArmor
- merged editation and deleting of a profile
- 2.21.5
- fix category of apparmor module (bnc#719386)
- 2.21.4
- fixed .desktop file (bnc #681249)
- Rename files to use proper AppArmor names and abbreviations
- Change code to reflect new names
- Basic version needed to use newer perl-apparmor. This version
gets rid of the old SubDomain names entirely.
- Move yast2-apparmor.desktop to apparmor.desktop
- Exec entry in desktop file called using xdg-su (bnc#540627)
- 2.21.2
- fix typos (bnc#702639)
- 2.21.1
- merge apparmor to one desktop entry (FATE#305278)
- fix typos in translatable strings
- 2.21.0
- use perl-macros only in opensSUSE 11.4 (or newer)
- 2.20.1
- add BuildRequires: perl-macros and %{perl_requires} to ensure
Notify.pm is in @INC (bnc#670650#c1)
- Install Notify.pm into @INC so that Perl can see it (bnc#635830)
- 2.20.0
- updated "names" in .desktop files for searching AppArmor related
modules in YaST (bnc#590929)
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
where root privileges are needed, removed X-KDE-SubstituteUID key
(bnc#540627)
- Improved help text (bnc#539352)
- Better error message on unexpected backend termination (bnc#535107)
- Correct saving of event notification levels (bnc#531512)
- 2.19.0
- Have GenericNames from .desktop files correctly translated (removed
trailing whitespace - bnc#538245)
- 2.18.4
- Reduced number of overly long strings (bnc#384170)
- Extended some helptexts (bnc#482563, bnc#443287)
- 2.18.3
- AA profiles editor adjusted to the new format of parsed profile
data (bnc#480099)
- 2.18.2

==== yast2-theme ====
Version update (3.2.3 -> 3.3.0)
Subpackages: yast2-branding-openSUSE yast2-branding-openSUSE-Oxygen

- Fixed black-on-black color for the editable combo box in the
cyan and b&w color themes (bsc#1052723)
- 3.3.0

==== yast2-tune ====
Version update (3.2.0 -> 3.3.0)

- Fixed scheduler activation: do not activate the new scheduler
for devices which do not support it (bsc#1052770)
- 3.3.0

==== zypper ====
Version update (1.13.31 -> 1.13.32)
Subpackages: zypper-aptitude zypper-log

- GPG key: Also show a gpg keys subkeys (bsc#1008325)
- libzypp-devel >= 16.15.4
- version 1.13.32


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages